<?xml version='1.0'?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="xml" indent="yes"/>
<xsl:template match="/">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:xf="http://www.w3.org/2002/xforms">
<head>
    <title>Booking Result</title>
    <xf:model>
        <xf:instance>
            <xf:data xmlns="">
                <xsl:apply-templates/>
                <!-- 
                <bookingPrice>...</bookingPrice>
                <bookingResult>...</bookingResult>
                <returnedMessage>...</returnedMessage>
                 -->
            </xf:data>
        </xf:instance>
        <xf:submission action="?action=restart" method="post" id="s"/>
        <xf:submission action="?action=exit" method="post" id="e"/>
    </xf:model>
    <link rel="StyleSheet" href="css/booking.css" type="text/css"/>
</head>
<body bgcolor="#F0F0F0">
    <p align="center">
        <big><b><i>Result for your</i></b></big>
    </p>
    <p align="center">
        <big><b><i>'Hotel &amp; Restaurant' Booking</i></b></big>
    </p>
    <p align="center">---------------------------------------------------------------</p>
    <p align="center">
        <table border="2" frame="box" rules="groups" class="fondfonce">
            <caption>Booking result</caption>
            <tbody valign="top">
                <tr>
                    <th align="left"><xf:label>Is the whole reservation OK? </xf:label></th>
                    <th align="right"><xf:output ref="bookingResult"/></th>
                </tr>
                <tr>
                    <th align="left"><xf:label>Total cost for the reservation: </xf:label></th>
                    <th align="right"><xf:output ref="bookingPrice"/></th>
                </tr>
                <tr>
                    <th align="left"><xf:label>Note: </xf:label></th>
                    <th align="right"><xf:textarea ref="returnedMessage"/></th>
                </tr>
                <tr>
                    <th colspan="2"></th>
                </tr>
            </tbody>
            <tbody>
                <tr>
                    <th align="center" class="fondclair" cellpadding="100">
                        <xf:submit submission="s"><xf:label>Restart</xf:label></xf:submit>
                    </th>
                    <th align="center" class="fondclair" cellpadding="100">
                        <xf:submit submission="e"><xf:label>Exit</xf:label></xf:submit>
                    </th>
                </tr>
            </tbody>
        </table>
    </p>
</body>
</html>
</xsl:template>

<xsl:template match="result">
	<bookingResult><xsl:value-of select="bookingResult"/></bookingResult>
	<bookingPrice><xsl:value-of select="bookingPrice"/></bookingPrice>
	<returnedMessage><xsl:value-of select="returnedMessage"/></returnedMessage>
</xsl:template>

</xsl:stylesheet>
